
//upravljam koracnim motorom pomocu Light senzora

byte ENA=51; //ENA-(ENA) stepper motor enable , active low      
byte DIR=52; //DIR axis stepper motor direction control 
byte STEP=53;// axis stepper motor step control
int sirinaP=1; //sirina upravljackog pulsa in mislisekundama

byte potPin; //pin na kome je potenciometar
int potVal, potVal0, Greska; //ulaz sa potenciometra


void setup() {
  pinMode(STEP,OUTPUT); 
  pinMode(DIR,OUTPUT);
  pinMode(ENA,OUTPUT);
  
  Serial.begin(9600);
  
  potVal0=analogRead(A0);
  
  Serial.print("Pocetno: ");
  Serial.println(potVal0);
  
}

void loop() {
  
  digitalWrite(ENA,HIGH);
  
  potVal=analogRead(A0);
  
  Greska=potVal0-potVal;
  
  Serial.print("Trenutna vrednost: ");
  Serial.println(potVal);
  
  if (abs(Greska)>10){
    //Serial.println(potVal);
    PomeriMotor(Greska);
  }//if
  delay(300);  
  
}//loop


void PomeriMotor(int greska){
  bool smer;  
  Serial.print("Greska: ");
  Serial.println(greska);
  
  if (greska>0) {
    smer=1;
  } else {
    smer=0;
  }//if
  
  digitalWrite(DIR,smer);
  digitalWrite(ENA,LOW);
  
  for (int i=0; i<abs(int(greska/10));i++){
    digitalWrite(STEP,HIGH); 
    delay(sirinaP); 
    digitalWrite(STEP,LOW);
    delay(2*sirinaP); 
    //Serial.println(i);
    delay(50);
  }//for  
  
  //potVal0=analogRead(A0);
  
}//PomeriMotor
